Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.blocks
Class GridFile.Metadata

    java.lang.Object
      org.jgroups.blocks.GridFile.Metadata

All Implemented Interfaces:
  Streamable

Enclosing class:
  GridFile

    public static class GridFile.Metadata

extends java.lang.Object
implements Streamable

Field Summary
`static byte` | `DIR`
`static byte` | `FILE`

Constructor Summary
`GridFile.Metadata()`
`GridFile.Metadata(int length, long modification_time, int chunk_size, byte flags)`

Method Summary
`int` | `getChunkSize()`
`int` | `getLength()`
`long` | `getModificationTime()`
`boolean` | `isDirectory()`
`boolean` | `isFile()`
`void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`void` | `setLength(int length)`
`void` | `setModificationTime(long modification_time)`
`java.lang.String` | `toString()`
`void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FILE

    public static final byte FILE

See Also:
  Constant Field Values

### DIR

    public static final byte DIR

See Also:
  Constant Field Values

Constructor Detail

### GridFile.Metadata

    public GridFile.Metadata()

### GridFile.Metadata

    public GridFile.Metadata(int length,
                             long modification_time,
                             int chunk_size,
                             byte flags)

Method Detail

### getLength

    public int getLength()

### setLength

    public void setLength(int length)

### getModificationTime

    public long getModificationTime()

### setModificationTime

    public void setModificationTime(long modification_time)

### getChunkSize

    public int getChunkSize()

### isFile

    public boolean isFile()

### isDirectory

    public boolean isDirectory()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

  Description copied from interface: `Streamable`
  Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

  Specified by:
    `writeTo` in interface `Streamable`
  Throws:
    `java.io.IOException`

### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

  Description copied from interface: `Streamable`
  Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

  Specified by:
    `readFrom` in interface `Streamable`
  Throws:
    `java.io.IOException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.